> For the complete documentation index, see [llms.txt](https://docs.icepanel.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.icepanel.io/integrations/rest-api.md).

# API & SDK

## Introduction

The IcePanel REST API is publicly accessible to write automated scripts or custom integrations with external tools. We also offer 2 SDKs. Feel free to reach out if you would like another SDK to be generated.

* Full API reference: <https://developer.icepanel.io/api-reference/landscapes/get>
* TypeScript SDK: <https://github.com/IcePanel/icepanel-js>
* Java SDK: <https://github.com/IcePanel/icepanel-java>

{% hint style="warning" %}
To create an API key, you need to be an admin.
{% endhint %}

## Authentication

First generate an API key on your organization management screen. Make sure to copy your key now as you won't be able to see it again for security reasons!

You can then set the `Authorization` HTTP header on any authenticated requests.

```
Authorization: ApiKey SH5XAiWtgevC2ZfQym3i:17a9c60035eed62c8f4f195c754ee6972ffc40ce975c5571ec521f463ebefa7f
```

## Example

See the example below for how to request a list of projects using `curl`.

```bash
curl 'https://api.icepanel.io/v1/organizations/{organizationId}/landscapes' \
  -H 'Accept: application/json' \                                                                                
  -H 'Authorization: ApiKey SH5XAiWtgevC2ZfQym3i:17a9c60035eed62c8f4f195c754ee6972ffc40ce975c5571ec521f463ebefa7f'
```

## Limits

The following API limits are in place:

<table><thead><tr><th>Integrations</th><th>Free</th><th width="188.6484375">Growth</th><th width="171.09375">Scale</th><th>Enterprise</th></tr></thead><tbody><tr><td>API (read)</td><td>✗</td><td>10,000 requests / mo</td><td>Unlimited</td><td>Unlimited</td></tr><tr><td>API (write)</td><td>✗</td><td>1,000 requests / mo</td><td>Unlimited</td><td>Unlimited</td></tr><tr><td>Import API</td><td>✗</td><td>5 requests / mo</td><td>500 requests / mo</td><td>Unlimited</td></tr><tr><td>Export API</td><td>✗</td><td>5 requests / mo</td><td>500 requests / mo</td><td>Unlimited</td></tr><tr><td>MCP server</td><td>✗</td><td>✓</td><td>✓</td><td>✓</td></tr></tbody></table>

The limits restart at the beginning of each month.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.icepanel.io/integrations/rest-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
